* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    list-style: none;
}

html {
    scroll-behavior: smooth;
    max-width: 100%;
}

/* Navbar y medidas */

.navbar {
    height: 80px;
}

.navbar-top {
    border-radius: 0;
}

.navbar-header {
    display: flex;
    justify-content: space-around;
}

.navbar-header.navbar-right {
    float: right;
    margin-right: 15px;
}

.navbar-default {
    position: relative;
    background-color: #ffffff;
    border: 0;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    box-shadow: none;
    margin: 0;
    z-index: 9;
}

.bg-navbar {
    background: #020024;
    background: linear-gradient(90deg, #0f5e5a 37%, #0f2554 65%);
}

.logo-cap {
    height: 60px;
}

.logo-capital {
    height: 70px;
    transform: translate(-5px, 5px);
}

@media (min-width: 360px) and (max-width: 770px) {
    .navbar-header.navbar-right {
        display: none;
    }

    #map {
        overflow-x: hidden;
        width: 100%;
        height: 30rem;
        box-shadow: 5px 5px 5px #888888;
    }

    .agregar {
        width: 100%;
    }

    .agregar-error {
        width: 100%;
    }
}

@media (min-width: 700px) and (max-width: 991px) {
    .agregar {
        width: 100%;
    }

    .agregar-error {
        width: 100%;
    }
}

@media (min-width: 100px) and (max-width: 768px) { 
    .navbar-header.navbar-right {
        display: none;
    }

    .bg-navbar {
        background: #0f5e5a;
    }

    .background-dark {
        background: #004c48 !important;
    }

    .social-icons {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -ms-flex-pack: distribute;
        justify-content: space-around;
        padding: 0;
        list-style: none;
        margin-top: 2em !important;
    }

    .agregar {
        width: 100%;
    }

    .agregar-error {
        width: 100%;
    }
}

/* Footer */

footer {
    padding: 2em 1em;
}

footer .content {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-line-pack: center;
    align-content: center;
}

footer .content div {
    max-width: 450px;
    min-width: 250px;
    margin-bottom: 15px;
}

footer .content div.social {
    -ms-flex-negative: 1;
    flex-shrink: 1;
    min-width: auto;
    max-width: unset !important;
    min-width: 110px !important;
    -ms-flex-item-align: end !important;
    align-self: flex-end !important;
}

footer .content div.social path {
    fill: #ffffff;
}

footer .content p {
    margin: 0;
    font-size: .9rem;
    margin-right: 1em;
    color: #ffffff;
}

.content a {
    text-decoration: none;
    color: #ffffff;
}

footer .content p:first-child {
    font-weight: 800;
    font-size: 1rem
}

@media only screen and (max-width: 780px) {
    footer .content {
        -webkit-box-orient: vertical;
        -webkit-box-direction: reverse;
        -ms-flex-direction: column-reverse;
        flex-direction: column-reverse;
    }
}

.sub-footer {
    background-color: #37bbed;
    padding: 20px 0 40px 0;
}

.content {
    max-width: 900px;
    margin: auto
}

.background-dark {
    background: #0f2554;
    background: linear-gradient(90deg, #0f2554 0%, #0f5e5a 20%, #0f5e5a 80%, #0f2554 100%);
}

.flex-row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: end;
    -ms-flex-align: end;
    align-items: flex-end;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

.social-icons {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: distribute;
    justify-content: space-around;
    padding: 0;
    list-style: none;
    margin-top: 5em;
}

.fuente {
    font-size: 12.8px;
    font-weight: 500;
    font-family: Roboto, Helvetica, Arial, sans-serif;
}

.obligatorio {
    color: #f53333;
    user-select: none;
    margin-left: 0.1em;
}

/* Mapa */

#map {
    width: 100%;
    height: 30rem;
    box-shadow: 5px 5px 5px #888;
    margin: 2rem 0 2rem 0;
}

#address_street {
    text-transform: capitalize;
}

#direccion {
    text-transform: capitalize;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Otros */

.dni {
    pointer-events:none;
}

.domicilio {
    padding: 0.5em; 
    border: 5px #0f5e5a solid;
}

.agregar {
    background-color: #0f5e5a;
}

.buscar {
    background-color: #213257;
}

.eliminar {
    margin-left: 1em;
    padding: 5px;
    border-radius: 1em;
}

.mayuscula {
    text-transform: capitalize;
}

.list-item {
    display: flex;
    align-items: center;
}

.svg-container {
    width: 24px;
    height: 24px;
}

.svg-container svg {
    width: 100%;
    height: 100%;
    margin-left: 15px;
    cursor: pointer;
}

.resaltado {
    font-weight: bold;
    color: #004c48;
}

.texto-animado {
    text-transform: uppercase;
    background-image: linear-gradient(90deg, #020024 0%, #0f2554 37%, #004c48 65%);
    background-size: auto auto;
    background-clip: border-box;
    background-size: 200% auto;
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: textclip 4s linear infinite;
    text-align: center;
}

@keyframes textclip {
    to {
        background-position: 200% center;
    }
}